[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.DoMouseWheelDown

Handles mouse wheel down events in the grid control.

## Declaration

Source position: dbgrids.pas line 433

`protected function TCustomDBGrid.DoMouseWheelDown(`
`Shift: TShiftState;`
`MousePos: TPoint`
`):Boolean; override;`

## Arguments

`Shift` |  | Shift state for the mouse wheel event.
`MousePos` |  | Location of the mouse wheel event.

## Function result

True when the mouse event is handled in the method.

## Description

DoMouseWheelDown is an overridden Boolean function used to handle mouse wheel down events in the grid control. The return value is True when the mouse wheel event has been handled in the method. DoMouseWheelDown signals the OnMouseWheelDown event handler when it has been assigned to handle the mouse event. If OnMouseWheelDown cannot handle the mouse event, and the DataLink is marked as Active, DataLink calls its MoveBy method.

## See also

TControl.DoMouseWheelDown |  | Signals the OnMouseWheelDown handler.